## libreoffice-l10n 5.4.1

=== debian/changelog ===
libreoffice-l10n (1:5.4.1-0ubuntu1) artful; urgency=medium

  [ Olivier Tilloy ]
  * debian/rules: move usr/lib/libreoffice/sdk/settings/dk.mk from
    libreoffice-dev-common to libreoffice-dev (LP: #1712873)

  [ Rico Tzschichholz ]
  * New upstream release
  * Drop lo-xlate-lang-update.diff, add-libebook-1.2.so.19-in-EApi.cxx.patch,
    examples-fix-SDK_AUTO_DEPLOYMENT-check.diff, applied upstream

  [ Rene Engelhard ]
  * debian/patches/stop-shipping-mimelnk-desktop-files.diff: as name says
    (closes: #872001)
  * debian/patches/java9.diff: backport Java 9 patch from master
  * debian/rules:
    - run dh_strip_nondeterminism
    - set locale to en-US.UTF-8 also for make check, the dbaccess tests
      fail in some frenchy locale...
    - move pagein-{calc,draw,impress,writer} to their respective packages
  * debian/scripts/gid2pkgdirs.sh: fix move of types/*.rdb and services/*.rdb
    to core and move pagein-common there too. They reference libmergedlo.so
    which doesn't exist on all archs (closes: #873443)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 01 Sep 2017 07:25:31 +0200

libreoffice-l10n (1:5.4.0-0ubuntu2) artful; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release
  * Merge with debian 1:5.4.0-1
  * Use -tarballs.orig instead of -src.orig for external dependencies
  * Drop Recommends to libreoffice-pdfimport transitional
  * Suggest fonts-deva instead of unavailable ttf-devanagari-fonts
  * Add Kannada (kn) langpack (LP: #1705014)
  * Enable evolution, dconf and avahi support
  * Use system orcus and lp-solve
  * New build dependencies: dh-apparmor, fonts-dejavu, ghostscript,
    imagemagick, libavahi-client-dev, libboost-locale-dev, libdconf-dev,
    libe-book-dev, libebook1.2-dev, libetonyek-dev, libgpg-error-dev,
    libgpgme-dev, libgpgmepp-dev, liblpsolve55-dev, libmwaw-dev, liborcus-dev,
    libsuitesparse-dev, libwps-dev, libxmlsec1-dev, locales, lp-solve, pstoedit
  * New binary dependencies: lp-solve, libcolamd2, liborcus-0.12-0

  [ Olivier Tilloy ]
  * Make i386 make check notfatal for now given the i386 Java Stack Clash
    regression (LP: #1700692)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 22 Aug 2017 09:29:33 +0200

libreoffice-l10n (1:5.4.0-2) UNRELEASED; urgency=medium

  * debian/rules:
    - install appstream stuff into /usr/share/metainfo. sigh.
    - make -writer-dbgsym recommend -core-dbgsym as it wants some gdb stuff
      from it
    - set UNO_LIBS_DBG_ROOT to fix gdb helper installation for uno-libs3 again
      and make -core-dbgsym recommends uno-libs3-dbgsym (same reason as above)
    - generate and install apparmor profiles
    - be consequent and bump the build-dependencies for the DLP libs when
      we run the tests; based on patch by Rico Tzschichholz
  * debian/control*in:
    - move to policy 4.0.1; extra -> optional

 -- Rene Engelhard <rene@debian.org>  Sat, 05 Aug 2017 14:15:19 +0000

libreoffice-l10n (1:5.4.0-1) unstable; urgency=medium

  * New upstream release

  * upload to unstable

  * debian/patches/examples-fix-SDK_AUTO_DEPLOYMENT-check.diff: don't try
    to do "auto deployment" when SDK_AUTO_DEPLOYMENT = NO...
  * debian/patches/libebook-1.2.so.19.diff: backport from master; adds
    libebook-1.2.so.19 (e-d-s 3.24+) to EApi.cxx

  * debian/rules:
    - strip librhino-java from java:Depends, we use the internal one still..
    - add pstoedit, imagemagick and ghostscript as (test) Build-Depends:
  * debian/control.in:
    - add ghostscript to the "EPS Suggests"
  * debian/rules. debian/control.in:
    - add libsane-suggests substvar to prepare for libsane1

  * merge from Ubuntu, thanks Rico Tzschichholz
    - don't recommend libreoffice-sdbc-firebird if firebird is disabled

  [ Rico Tzschichholz ]
  - fix get_libebook_dep.sh for libebook1.2-dev (>= 3.24)

 -- Rene Engelhard <rene@debian.org>  Tue, 25 Jul 2017 22:30:57 +0200

libreoffice-l10n (1:5.4.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate

  * debian/patches/mediawiki-oor-replace.diff: back to ="fuse" for Paths.xcu
    as otherwise it overwrites Template paths and breaks the python wizards
    (closes: #867209)

  * debian/tests/control, debian/uitest: improve, we can only run the test
    now; remove build-needed
  * debian/tests/control, debian/tests/sdk-examples: move ...
  * debian/tests/control, debian/tests/odk-build-examples: ... here and use
    upstreams odk/build-examples check directly.
    (Needs zip, python3-uno and libreoffice-officbean as new test Depends:)
  * debian/tests/odk-build-examples: actually set -e...
  * debian/rules, debian/tests/control: remove extra hackery to add our
    Build-Depends(-Indep): to debian/tests/control.in; misses some packages
    (e.g. ant) and it should work at least since autopktest 3.16 from Jul 2015;
    use @builddeps@ instead
  * debian/tests/control, debian/tests/*uno-import.diff: split; make
    pyuno-import test import pyuno while uno-import does import uno
    (the uichecks do the former). Add python3 dependency for safety.
  * debian/test/control: sort by importance
  * debian/tests/: unapply patch after the make (or on error) so that the
    next test can patch it...
  * debian/tests/*: more cleanups for newer autopkgtests; use allow-stderr
    instead of manual 2>&1

  * debian/rules:
    - be consequent and set RUN_PYTESTS=n (and RUN_MAKE_UICHECK=n) where we set
      RUN_MAKE_CHECK=n
    - be consequent and add $(IGNORE_MAKE_CHECK_FAILURES) also to the "extra"
      test runs
    - disable the tests on bigendian archs: hang (failures non-fatal anyway.)
    - make i386 make check notfatal for now given the i386 Java Stack Clash
      regression
  * debian/control.in:
    - make -common Conflicts: older mediawikis to go sure

  * merge from Ubuntu, thanks Rico Tzschichholz
    - Bump soname in shlibs.override.orcus

 -- Rene Engelhard <rene@debian.org>  Sat, 15 Jul 2017 10:16:28 +0000


