## libreoffice-l10n 5.4.5

=== debian/changelog ===
libreoffice-l10n (1:5.4.5-0ubuntu0.17.10.1) artful; urgency=medium

  * New upstream release (LP: #1748999)
    - fixes CVE-2018-6871: Remote arbitrary file disclosure vulnerability via
      WEBSERVICE formula
  * debian/patches/apparmor-senddoc-fixes.patch: apparmor fixes for the
    senddoc profile (LP: #1748895)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 13 Feb 2018 11:25:01 +0100

libreoffice-l10n (1:5.4.4-0ubuntu0.17.10.1) artful; urgency=medium

  [ Olivier Tilloy ]
  * New upstream release (LP: #1746757)
  * debian/patches/apparmor-profiles-comments.patch: added
    (https://bugs.documentfoundation.org/show_bug.cgi?id=114915)
  * debian/patches/apparmor-allow-jvm-execution.patch: added
    (https://bugs.documentfoundation.org/show_bug.cgi?id=115208)

  [ Rene Engelhard ]
  * debian/rules, debian/libreoffice-common.maintscript: fix path in
    apparmor profiles (add missing /). mv_conffile the files to the new
    name...

  [ Rico Tzschichholz ]
  * debian/rules: update source location of fc_local.conf

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 01 Feb 2018 17:11:59 +0100

libreoffice-l10n (1:5.4.2-0ubuntu0.17.10.1) artful; urgency=medium

  [ Rico Tzschichholz ]
  * New upstream release (LP: #1728072)
  * Drop debian/patches/java9.diff, included upstream

  [ Rene Engelhard ]
  * debian/rules:
    - move images_helpimg.zip to usr/share like the others; remove obsolete
      helpimg mangling in the "other" images_*.zip

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 14 Nov 2017 16:38:24 +0100
