=== debian/changelog ===
libreoffice-l10n (1:5.4.6-0ubuntu0.17.10.1) artful; urgency=medium

  * New upstream release (LP: #1759404)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 28 Mar 2018 11:52:58 +0200

libreoffice-l10n (1:5.4.5-0ubuntu0.17.10.5) artful; urgency=medium

  * debian/libreoffice-common.preinst.in: disable apparmor profiles on fresh
    installs and upgrades from versions equal or prior to
    1:5.4.5-0ubuntu0.17.10.4, which should cover all upgrade cases
    (LP: #1751005)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 05 Mar 2018 10:18:35 +0100

libreoffice-l10n (1:5.4.5-0ubuntu0.17.10.4) artful; urgency=medium

  * debian/libreoffice-common.preinst.in: disable apparmor profiles on fresh
    installs and upgrades from 1:5.4.5-0ubuntu0.17.10.1 (LP: #1751005)
  * debian/patches/apparmor-senddoc-fixes.patch: updated to reflect upstream
    commit

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 26 Feb 2018 15:17:18 +0100
